Generate coupon codes
curl --request POST \
--url https://live.copilot.fabric.inc/api-offers/coupon/generate-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"prefix": "SUMMER",
"start": 1,
"count": 3
}
'import requests
url = "https://live.copilot.fabric.inc/api-offers/coupon/generate-codes"
payload = {
"prefix": "SUMMER",
"start": 1,
"count": 3
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({prefix: 'SUMMER', start: 1, count: 3})
};
fetch('https://live.copilot.fabric.inc/api-offers/coupon/generate-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"codes": [
"SUMMER1",
"SUMMER2",
"SUMMER3"
]
}{
"code": "BAD_REQUEST",
"message": "Bad Request"
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}Coupon Codes
Generate coupon codes
Enables you to generate coupon codes based on given parameters
POST
/
api-offers
/
coupon
/
generate-codes
Generate coupon codes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Response
OK
List of generated coupon codes
Example:
["SUMMER1", "SUMMER2", "SUMMER3"]
Was this page helpful?
⌘I
